.TH "mca_ptl_base_module_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_ptl_base_module_t \- PTL instance interface functions and attributes.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <ptl.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBmca_ptl_base_component_t\fP * \fBptl_component\fP"
.br
.RI "\fIpointer back to the PTL component structure \fP"
.ti -1c
.RI "size_t \fBptl_cache_size\fP"
.br
.RI "\fImaximum size of request cache for this PTL \fP"
.ti -1c
.RI "size_t \fBptl_cache_bytes\fP"
.br
.RI "\fInumber of bytes required by PTL for request cache \fP"
.ti -1c
.RI "size_t \fBptl_first_frag_size\fP"
.br
.RI "\fImaximum size of first fragment -- eager send \fP"
.ti -1c
.RI "size_t \fBptl_min_frag_size\fP"
.br
.RI "\fIthreshold below which the PTL will not fragment \fP"
.ti -1c
.RI "size_t \fBptl_max_frag_size\fP"
.br
.RI "\fImaximum fragment size supported by the PTL \fP"
.ti -1c
.RI "uint32_t \fBptl_exclusivity\fP"
.br
.RI "\fIindicates this PTL should be used exclusively \fP"
.ti -1c
.RI "uint32_t \fBptl_latency\fP"
.br
.RI "\fIrelative ranking of latency used to prioritize ptls \fP"
.ti -1c
.RI "uint32_t \fBptl_bandwidth\fP"
.br
.RI "\fIbandwidth (Mbytes/sec) supported by each endpoint \fP"
.ti -1c
.RI "uint32_t \fBptl_flags\fP"
.br
.RI "\fIflags (put/get...) \fP"
.ti -1c
.RI "\fBmca_ptl_base_module_add_procs_fn_t\fP \fBptl_add_procs\fP"
.br
.ti -1c
.RI "\fBmca_ptl_base_module_del_procs_fn_t\fP \fBptl_del_procs\fP"
.br
.ti -1c
.RI "\fBmca_ptl_base_module_finalize_fn_t\fP \fBptl_finalize\fP"
.br
.ti -1c
.RI "\fBmca_ptl_base_module_send_fn_t\fP \fBptl_send\fP"
.br
.ti -1c
.RI "\fBmca_ptl_base_module_put_fn_t\fP \fBptl_put\fP"
.br
.ti -1c
.RI "\fBmca_ptl_base_module_get_fn_t\fP \fBptl_get\fP"
.br
.ti -1c
.RI "\fBmca_ptl_base_module_matched_fn_t\fP \fBptl_matched\fP"
.br
.ti -1c
.RI "\fBmca_ptl_base_module_request_init_fn_t\fP \fBptl_request_init\fP"
.br
.ti -1c
.RI "\fBmca_ptl_base_module_request_fini_fn_t\fP \fBptl_request_fini\fP"
.br
.ti -1c
.RI "\fBmca_ptl_base_module_match_fn_t\fP \fBptl_match\fP"
.br
.ti -1c
.RI "\fBmca_ptl_base_module_send_progress_fn_t\fP \fBptl_send_progress\fP"
.br
.ti -1c
.RI "\fBmca_ptl_base_module_recv_progress_fn_t\fP \fBptl_recv_progress\fP"
.br
.ti -1c
.RI "\fBmca_ptl_base_module_t\fP * \fBptl_stack\fP"
.br
.ti -1c
.RI "mca_pml_base_ptl_t * \fBptl_base\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
PTL instance interface functions and attributes. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
